Cyberduck Mountain Duck CLI

#11508 closed defect (fixed)

Crash in NSParagraphStyle tabStops

Reported by: xpech Owned by: dkocher
Priority: high Milestone: 7.8.0
Component: core Version: 7.7.2
Severity: critical Keywords:
Cc: Architecture: Intel
Platform: macOS 11

Description

  • Connect to a serveur
  • press a letter key like 'p' to move selection on first file beginning with p.
  • Cyberduck crash

Attachments (1)

cyberduck_crashlog.txt (350.5 KB) - added by xpech on Dec 22, 2020 at 1:33:37 PM.
Crash log

Download all attachments as: .zip

Change History (12)

Changed on Dec 22, 2020 at 1:33:37 PM by xpech

Crash log

comment:1 Changed on Dec 22, 2020 at 1:48:15 PM by xpech

  • Priority changed from normal to high

comment:2 Changed on Dec 22, 2020 at 4:37:24 PM by xpech

  • Component changed from core to interface
  • Owner set to dkocher

comment:3 Changed on Jan 5, 2021 at 8:35:36 PM by xpech

Tested on two mac

comment:5 Changed on Jan 5, 2021 at 8:41:54 PM by dkocher

The stacktrace is very similar to #11231.

Application Specific Information:
*** Terminating app due to uncaught exception 'NSInvalidArgumentException', reason: '*** -[__NSArrayM insertObject:atIndex:]: object cannot be nil'
abort() called
terminating with uncaught exception of type NSException

Application Specific Backtrace 1:
0   CoreFoundation                      0x00007fff204fb6af __exceptionPreprocess + 242
1   libobjc.A.dylib                     0x00007fff202333c9 objc_exception_throw + 48
2   CoreFoundation                      0x00007fff205afa9a -[__NSCFString characterAtIndex:].cold.1 + 0
3   CoreFoundation                      0x00007fff205ad953 -[__NSArrayM insertObject:atIndex:].cold.2 + 0
4   CoreFoundation                      0x00007fff20421421 -[__NSArrayM insertObject:atIndex:] + 1135
5   UIFoundation                        0x00007fff23a2fc6b __defaultTabStops_block_invoke + 161
6   libdispatch.dylib                   0x00007fff201de7c7 _dispatch_client_callout + 8
7   libdispatch.dylib                   0x00007fff201df96b _dispatch_once_callout + 20
8   UIFoundation                        0x00007fff23a2fbc8 -[NSParagraphStyle tabStops] + 51
9   UIFoundation                        0x00007fff23b6f139 -[NSParagraphStyle description] + 268
10  CoreFoundation                      0x00007fff2049b53a -[NSDictionary descriptionWithLocale:indent:] + 1330
11  Foundation                          0x00007fff212c1e60 -[NSAttributedString description] + 263
12  libjnidispatch.dylib                0x00000001289fbe74 ffi_call_unix64 + 76
13  ???                                 0x00007ffeeb6e8ed8 0x0 + 140732848312024

Thread 0 Crashed:: Dispatch queue: com.apple.main-thread
0   libsystem_kernel.dylib        	0x00007fff2035b462 __pthread_kill + 10
1   libsystem_pthread.dylib       	0x00007fff20389610 pthread_kill + 263
2   libsystem_c.dylib             	0x00007fff202dc720 abort + 120
3   libc++abi.dylib               	0x00007fff2034e418 abort_message + 231
4   libc++abi.dylib               	0x00007fff2033fa7d demangling_terminate_handler() + 266
5   libobjc.A.dylib               	0x00007fff202359b1 _objc_terminate() + 96
6   libc++abi.dylib               	0x00007fff2034d847 std::__terminate(void (*)()) + 8
7   libc++abi.dylib               	0x00007fff2034d7e9 std::terminate() + 41
8   libdispatch.dylib             	0x00007fff201de7db _dispatch_client_callout + 28
9   libdispatch.dylib             	0x00007fff201df96b _dispatch_once_callout + 20
10  com.apple.UIFoundation        	0x00007fff23a2fbc8 -[NSParagraphStyle tabStops] + 51
11  com.apple.UIFoundation        	0x00007fff23b6f139 -[NSParagraphStyle description] + 268
12  com.apple.CoreFoundation      	0x00007fff2049b53a -[NSDictionary descriptionWithLocale:indent:] + 1330
13  com.apple.Foundation          	0x00007fff212c1e60 -[NSAttributedString description] + 263
14  libjnidispatch.dylib          	0x00000001289fbe74 ffi_call_unix64 + 76

comment:6 Changed on Jan 5, 2021 at 8:41:59 PM by dkocher

  • Component changed from interface to core

comment:7 Changed on Jan 5, 2021 at 8:42:46 PM by dkocher

Please try entering the following command in a Terminal.app window

defaults delete ch.sudo.cyberduck __NSDisableSharingTextTabInstance

and restart Cyberduck.

comment:8 Changed on Jan 5, 2021 at 8:45:14 PM by dkocher

  • Summary changed from Crach when pressing a keyboard key to move selection on file list to Crash in NSParagraphStyle tabStops

comment:9 Changed on Jan 5, 2021 at 8:47:13 PM by dkocher

  • Milestone set to 7.8.0
  • Status changed from new to assigned

comment:10 Changed on Jan 6, 2021 at 2:35:02 PM by dkocher

  • Resolution set to fixed
  • Status changed from assigned to closed

In r50407.

comment:11 follow-up: Changed on Jan 11, 2021 at 9:37:31 AM by xpech

test OK on last night build,

many thanks,

comment:12 in reply to: ↑ 11 Changed on Jan 11, 2021 at 10:18:47 AM by dkocher

Replying to xpech:

test OK on last night build,

many thanks,

Thanks for confirming the fix.

Note: See TracTickets for help on using tickets.